### Method

# Ide LspClient get_diagnostics_finish

#### Declaration

    gboolean
    ide_lsp_client_get_diagnostics_finish (
      IdeLspClient* self,
      GAsyncResult* result,
      IdeDiagnostics** diagnostics,
      GError** error
    )

#### Description

Completes a request to ide_lsp_client_get_diagnostics_async().

#### Parameters

`result` | `GAsyncResult`
| A `GAsyncResult`.
| The data is owned by the caller of the function.
`diagnostics` | `IdeDiagnostics`
| A location for a `IdeDiagnostics` or `NULL`.
| The argument will be set by the function.
| The argument can be set to `NULL`.
| The instance takes ownership of the data, and is responsible for freeing it.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `gboolean`
| `TRUE` if successful and `diagnostics` is set, otherwise `FALSE` and `error` is set.